#
# spec file for package banshee (Version 0.12.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base aalib acl alsa alsa-devel art-sharp2 atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel cdparanoia cdrdao check coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db db1 db1-devel dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel dbus-1-x11 desktop-translations diffutils dvd+rw-tools e2fsprogs eel esound esound-devel evolution-data-server expat file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gawk gcc gcc-c++ gcc41 gcc41-c++ gconf-sharp2 gconf2 gconf2-devel gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext gettext-devel giflib glade-sharp2 glib glib-devel glib-sharp2 glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-desktop-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-libs gnome-libs-devel gnome-menus gnome-mount gnome-panel gnome-sharp2 gnome-vfs-sharp2 gnome-vfs2 gnome-vfs2-devel gnome2-user-docs gnutls gpm grep groff gstreamer010 gstreamer010-devel gstreamer010-plugins-base gstreamer010-plugins-base-devel gstreamer010-plugins-good gtk gtk-devel gtk-sharp2 gtk-sharp2-gapi gtk2 gtk2-devel gxmhtml gzip hal hal-devel imlib imlib-devel indent info insserv intltool ipod-sharp iso-codes klogd krb5 less libacl libao libart_lgpl libart_lgpl-devel libattr libbeagle libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcap libcdio-mini libcom_err libcroco libdrm libexif libgcc41 libgcrypt libgdiplus libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprintui libgnomesu libgnomeui libgnomeui-devel libgpg-error libgsf libgtop libidl libidl-devel libipoddevice libjpeg libjpeg-devel libltdl libmudflap41 libmusicbrainz libmusicbrainz-devel libnjb libnjb-devel libnotify libnscd libogg liboil libpng libpng-devel librsvg libsexy libsoup libstdc++-devel libstdc++41 libstdc++41-devel libtheora libtiff libtool libusb libvolume_id libvorbis libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 mDNSResponder mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools mono-basic mono-core mono-data mono-data-sqlite mono-devel mono-web mono-winforms monodoc-core mozilla-nspr mozilla-nss nautilus nautilus-cd-burner nautilus-cd-burner-devel ncurses ncurses-devel net-tools netcfg njb-sharp notification-daemon openldap2-client openssl openssl-devel orbit orbit-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-LibXML perl-XML-LibXML-Common perl-XML-NamespaceSupport perl-XML-Parser perl-XML-SAX permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils python rcs readline resmgr rpm scsi sed shared-mime-info slang sqlite sqlite-devel sqlite2 startup-notification startup-notification-devel strace sysvinit taglib tar tcpd texinfo timezone udev unzip update-desktop-files util-linux vim wodim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           banshee
%define         HELIX_BANSHEE 0
# WARNING: If you are editing helix-banshee.spec, STOP. Always edit 
# banshee.spec and then copy that to helix-banshee.spec. Only the above
# two variables should ever differ from banshee.spec.
%define src_name banshee
%define prefix /usr
%define sysconfdir /etc/opt/gnome
%define gstreamerprefix /opt/gnome
%define gst_branch 0.10
%define dbus_min_version 0.60-26
%define hds_min_version 0.4.0
%define libipoddevice_min_version 0.5.2
%define ipodsharp_min_version 0.6.2
%define hxbc_version 0.11.5
BuildRequires:  dbus-1-devel gcc-c++ gconf-sharp2 gdk-pixbuf-devel glade-sharp2 gnome-desktop-devel gnome-sharp2 gnome-vfs2 gstreamer010-plugins-base-devel gstreamer010-plugins-good gtk-sharp2-gapi intltool ipod-sharp libglade2-devel libidl-devel libmusicbrainz-devel libnjb-devel libwnck-devel mDNSResponder mDNSResponder-devel mono-basic mono-data-sqlite mono-devel monodoc-core nautilus-cd-burner-devel njb-sharp perl-XML-Parser sqlite-devel update-desktop-files
%if %HELIX_BANSHEE == 1
%ifarch %ix86 x86_64
BuildRequires:  RealPlayer helix-dbus-server >= %{hds_min_version}
%endif
%endif
License:        X11/MIT
Group:          Productivity/Multimedia/Sound/Players
Autoreqprov:    on
PreReq:         filesystem gconf2
Requires:       mono-core
Version:        0.12.0
Release:        3.1
Source0:        banshee-%{version}.tar.bz2
%if %HELIX_BANSHEE == 1
Source1:        gstreamer-xing-0.10.2.tar.gz
Source2:        helix-banshee-client-%{hxbc_version}.tar.bz2
%endif
URL:            http://banshee-project.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A Music Player
BuildRequires:  ipod-sharp >= %{ipodsharp_min_version}
Requires:       libipoddevice >= %{libipoddevice_min_version} libmusicbrainz libnjb
Requires:       gstreamer010 gstreamer010-plugins-base gstreamer010-plugins-good gstreamer010-plugins-base-oil
%if %HELIX_BANSHEE == 1
Requires:       helix-banshee-engine = %{version}
%else
Requires:       banshee-engine = %{version}
%endif
Requires:       dbus-1-glib >= %{dbus_min_version}
Requires:       dbus-1-x11 >= %{dbus_min_version}
Provides:       banshee-player
%if %HELIX_BANSHEE == 1
Conflicts:      banshee
Recommends:     helix-banshee-engine-gst helix-banshee-plugins-default helix-banshee-plugins-extra helix-banshee-engine-helix
%else
Conflicts:      helix-banshee
Recommends:     banshee-engine-gst banshee-plugins-default banshee-plugins-extra
%endif

%description
Banshee is a music management and playback application. It supports
both CD importing and writing, and is compatible with many digital
audio players.



Authors:
--------
    Aaron Bockover <aaron@aaronbock.net>

%debug_package
%package devel
Summary:        A Music Player
Group:          Productivity/Multimedia/Sound/Players
Autoreqprov:    on
Requires:       %{name} = %{version}
Requires:       gtk2-devel nautilus-cd-burner-devel hal-devel gnome-vfs2-devel 
Requires:       gstreamer010-devel gstreamer010-plugins-base-devel
Requires:       gtk-sharp2 gconf-sharp2

%description devel
Banshee is a music management and playback application. It supports
both CD importing and writing, and is compatible with many digital
audio players.



Authors:
--------
    Aaron Bockover <aaron@aaronbock.net>

%package engine-gst
Summary:        GStreamer playback engine for Banshee
Group:          Productivity/Multimedia/Sound/Players
Autoreqprov:    on
Requires:       %{name} = %{version}
Provides:       %{name}-engine = %{version}
PreReq:         coreutils

%description engine-gst
Banshee is a music management and playback application. It supports
both CD importing and writing, and is compatible with many digital
audio players.



Authors:
--------
    Aaron Bockover <aaron@aaronbock.net>

%if %HELIX_BANSHEE == 1
%package engine-helix
Summary:        The Helix engine backend
Group:          Productivity/Multimedia/Sound/Players
Autoreqprov:    on
Requires:       %{name} = %{version}
Requires:       RealPlayer
Requires:       helix-dbus-server >= %{hds_min_version}
Provides:       %{name}-engine = %{version}
PreReq:         coreutils

%description engine-helix
banshee is an audio player based on the GStreamer media library and is
developed on the open source Mono .NET Platform, written in C#.



Authors:
--------
    Aaron Bockover <aaron@aaronbock.net>

%endif
%package plugins-default
Summary:        Default Banshee plugins
Group:          Productivity/Multimedia/Sound/Players
Autoreqprov:    on
Requires:       %{name} = %{version}

%description plugins-default
A default set of plugins for Banshee including AudioScrobbler support,
notification area icon, multimedia keys support, and more.



Authors:
--------
    Aaron Bockover <aaron@aaronbock.net>

%package plugins-extra
Summary:        Extra Banshee plugins
Group:          Productivity/Multimedia/Sound/Players
Autoreqprov:    on
Requires:       %{name} = %{version}

%description plugins-extra
Banshee plugins for Podcasting, MiniMode, and automatic music
recommendations



Authors:
--------
    Aaron Bockover <aaron@aaronbock.net>

%package plugins-DAAP
Summary:        Banshee Plugin for DAAP
Group:          Productivity/Multimedia/Sound/Players
Autoreqprov:    on
Requires:       %{name} = %{version}

%description plugins-DAAP
Digital Audio Access Protocol plugin for Banshee.



Authors:
--------
    Aaron Bockover <aaron@aaronbock.net>

%prep
%if %HELIX_BANSHEE == 1
%setup -n%{src_name}-%{version} -b1 -b2 
%else
%setup
%endif

%build
%if %suse_version > 1000
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fstack-protector"
%endif
%ifarch x86_64
# find helix-dbus-server (32bit)
export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:/usr/lib/pkgconfig"
%endif
export CFLAGS="$RPM_OPT_FLAGS"
automake
./configure \
	--prefix=%{prefix} \
	--libdir=%{prefix}/%_lib \
	--sysconfdir=%{sysconfdir} \
	--disable-docs
make
%if %HELIX_BANSHEE == 1
cd ../helix-banshee-client-%{hxbc_version}
export BANSHEE_BUILD_ROOT="$RPM_BUILD_DIR/%{src_name}-%{version}"
PKG_CONFIG_PATH="$PKG_CONFIG_PATH:$BANSHEE_BUILD_ROOT/build" \
BANSHEE_CFLAGS="" \
BANSHEE_LIBS="-r:$BANSHEE_BUILD_ROOT/src/Core/Banshee.Base/Banshee.Base.dll -r:$BANSHEE_BUILD_ROOT/src/Core/Banshee.Widgets/Banshee.Widgets.dll -r:$BANSHEE_BUILD_ROOT/ext/taglib-sharp/TagLib.dll -r:$BANSHEE_BUILD_ROOT/ext/hal-sharp/Hal.dll -r:$BANSHEE_BUILD_ROOT/src/Extras/MusicBrainz/MusicBrainz.dll -r:$BANSHEE_BUILD_ROOT/ext/dbus-sharp/NDesk.DBus.dll -r:$BANSHEE_BUILD_ROOT/ext/dbus-sharp/NDesk.DBus.GLib.dll -r:Mono.Posix -pkg:gtk-sharp-2.0 -pkg:gnome-sharp-2.0" \
./configure \
	--prefix=%{prefix} \
	--libdir=%{prefix}/%_lib \
	--sysconfdir=%{sysconfdir}
make
unset BANSHEE_BUILD_ROOT
cd ../gstreamer-xing-0.10.2
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure
make
%endif

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%suse_update_desktop_file banshee  AudioVideo Player
mkdir -p $RPM_BUILD_ROOT%{gstreamerprefix}/share
mv $RPM_BUILD_ROOT%{prefix}/share/icons $RPM_BUILD_ROOT%{gstreamerprefix}/share/
%if %HELIX_BANSHEE == 1
%suse_update_desktop_file "-C" "Play and organize music" "-G" "Music Player" "-N" "Helix Banshee" %{src_name}
%else
%suse_update_desktop_file "-C" "Play and organize music" "-G" "Music Player" "-N" "Banshee" %{src_name}
%endif
%if %HELIX_BANSHEE == 1
cd ../helix-banshee-client-%{hxbc_version}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{gstreamerprefix}/share/icons
mv $RPM_BUILD_ROOT%{prefix}/share/icons $RPM_BUILD_ROOT%{gstreamerprefix}/share/
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
cd ../gstreamer-xing-0.10.2
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{gstreamerprefix}/%{_lib}/gstreamer-%{gst_branch}/*.*a
mkdir -p $RPM_BUILD_ROOT/usr/%{_lib}/banshee/gstreamer-%{gst_branch}/
mv $RPM_BUILD_ROOT/%{gstreamerprefix}/%{_lib}/gstreamer-%{gst_branch}/*.so $RPM_BUILD_ROOT/usr/%{_lib}/banshee/gstreamer-%{gst_branch}/
%endif

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/banshee-core.schemas > /dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/banshee-interface.schemas > /dev/null
%run_ldconfig
# SuSE Linux <=10.0 version of banshee-engine-helix and
# banshee-engine-gst has a problem - it calls gst-register in %postun
# without proper PreReq (#170571). It blocks removal of the old package
# from the RPM database. Install dummy gst-register to be able to
# complete. This is a post 10.1 work-around.
%if %HELIX_BANSHEE == 1

%post engine-helix
ln -s /bin/true opt/gnome/bin/gst-register-0.8 2>/dev/null || true
ln -s /bin/true opt/gnome/bin/gst-register 2>/dev/null || true

%posttrans engine-helix
if test "`readlink opt/gnome/bin/gst-register-0.8`" = /bin/true ; then
    rm opt/gnome/bin/gst-register-0.8
fi
if test "`readlink opt/gnome/bin/gst-register`" = /bin/true ; then
    rm opt/gnome/bin/gst-register
fi
%endif

%post engine-gst
ln -s /bin/true opt/gnome/bin/gst-register-0.8 2>/dev/null || true
ln -s /bin/true opt/gnome/bin/gst-register 2>/dev/null || true

%posttrans engine-gst
if test "`readlink opt/gnome/bin/gst-register-0.8`" = /bin/true ; then
    rm opt/gnome/bin/gst-register-0.8
fi
if test "`readlink opt/gnome/bin/gst-register`" = /bin/true ; then
    rm opt/gnome/bin/gst-register
fi

%post plugins-default
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/banshee-plugin-metadatasearcher.schemas > /dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/banshee-plugin-mmkeys.schemas > /dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/banshee-plugin-notificationarea.schemas > /dev/null

%post plugins-extra
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/banshee-plugin-radio.schemas > /dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/banshee-plugin-podcast.schemas > /dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/banshee-plugin-minimode.schemas > /dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/banshee-plugin-recommendation.schemas > /dev/null

%post plugins-DAAP
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/banshee-plugin-daap.schemas > /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%{prefix}/bin/banshee
%dir %{prefix}/%{_lib}/banshee
%dir %{prefix}/%{_lib}/banshee/Banshee.Dap
%dir %{prefix}/%{_lib}/banshee/Banshee.MediaEngine
%dir %{prefix}/share/banshee
%dir %{prefix}/share/banshee/audio-profiles
%{prefix}/%{_lib}/banshee/*.so
%{prefix}/%{_lib}/banshee/banshee.exe*
%{prefix}/%{_lib}/banshee/Banshee.Base.dll*
%{prefix}/%{_lib}/banshee/Banshee.Widgets.dll*
%{prefix}/%{_lib}/banshee/Gnome.Keyring.dll*
%{prefix}/%{_lib}/banshee/Hal.dll*
%{prefix}/%{_lib}/banshee/Last.FM.dll*
%{prefix}/%{_lib}/banshee/MusicBrainz.dll*
%{prefix}/%{_lib}/banshee/NDesk.DBus.dll*
%{prefix}/%{_lib}/banshee/NDesk.DBus.GLib.dll*
%{prefix}/%{_lib}/banshee/TagLib.dll*
%{prefix}/%{_lib}/banshee/Boo*.dll*
%{prefix}/%{_lib}/banshee/Banshee.Dap/Banshee.Dap.MassStorage.dll*
%{prefix}/%{_lib}/banshee/Banshee.Dap/Banshee.Dap.Ipod.dll*
%{prefix}/%{_lib}/banshee/Banshee.Dap/Banshee.Dap.Njb.dll*
%{prefix}/%{_lib}/banshee/Banshee.Dap/ipod-sharp.dll*
%{prefix}/%{_lib}/banshee/Banshee.Dap/ipod-sharp-ui.dll*
%{prefix}/%{_lib}/banshee/Banshee.Dap/njb-sharp.dll*
%{prefix}/%{_lib}/banshee/Banshee.Dap/libnjbglue.*
%if %HELIX_BANSHEE == 1
%{prefix}/%{_lib}/banshee/branding.dll
%endif
%{prefix}/share/applications/banshee.desktop
%{prefix}/share/dbus-1/services/org.gnome.Banshee.service
%{prefix}/share/locale/*/LC_MESSAGES/banshee.mo
%{prefix}/share/banshee/audio-profiles/*.xml
%{sysconfdir}/gconf/schemas/banshee-interface.schemas
%{sysconfdir}/gconf/schemas/banshee-core.schemas
%{gstreamerprefix}/share/icons/hicolor/16x16/apps/music-player-banshee.png
%{gstreamerprefix}/share/icons/hicolor/22x22/apps/music-player-banshee.png
%{gstreamerprefix}/share/icons/hicolor/24x24/apps/music-player-banshee.png
%if %HELIX_BANSHEE == 0
%{gstreamerprefix}/share/icons/hicolor/32x32/apps/music-player-banshee.png
%endif
%{gstreamerprefix}/share/icons/hicolor/scalable/apps/music-player-banshee.svg
#%{prefix}/%{_lib}/monodoc/sources/banshee-docs.source
#%{prefix}/%{_lib}/monodoc/sources/banshee-docs.tree
#%{prefix}/%{_lib}/monodoc/sources/banshee-docs.zip

%files devel
%defattr(-,root,root)
%{prefix}/%{_lib}/banshee/*.*a
%{prefix}/%{_lib}/pkgconfig/banshee.pc
%{prefix}/%{_lib}/banshee/gconf-schema-extractor.exe

%files engine-gst
%defattr(-,root,root)
%dir %{prefix}/%{_lib}/banshee/Banshee.MediaEngine
%{prefix}/%{_lib}/banshee/Banshee.MediaEngine/Banshee.MediaEngine.GStreamer.dll*
%if %HELIX_BANSHEE == 1

%files engine-helix
%defattr(-,root,root)
%dir %{prefix}/%{_lib}/banshee/Banshee.MediaEngine
%dir %{prefix}/%{_lib}/banshee/gstreamer-%{gst_branch}
%{prefix}/%{_lib}/banshee/gstreamer-%{gst_branch}/*.so
%ifarch %ix86 x86_64
%{prefix}/%{_lib}/banshee/Banshee.MediaEngine/Banshee.MediaEngine.HelixRemote.dll*
%{prefix}/%{_lib}/banshee/transwav
%endif
%endif

%files plugins-default
%defattr(-,root,root)
%{sysconfdir}/gconf/schemas/banshee-plugin-audioscrobbler.schemas
%{sysconfdir}/gconf/schemas/banshee-plugin-metadatasearcher.schemas
%{sysconfdir}/gconf/schemas/banshee-plugin-mmkeys.schemas
%{sysconfdir}/gconf/schemas/banshee-plugin-notificationarea.schemas
%dir %{prefix}/%{_lib}/banshee/Banshee.Plugins
%{prefix}/%{_lib}/banshee/Banshee.Plugins/Banshee.Plugins.Audioscrobbler.dll*
%{prefix}/%{_lib}/banshee/Banshee.Plugins/Banshee.Plugins.MMKeys.dll*
%{prefix}/%{_lib}/banshee/Banshee.Plugins/Banshee.Plugins.MetadataSearch.dll*
%{prefix}/%{_lib}/banshee/Banshee.Plugins/Banshee.Plugins.NotificationAreaIcon.dll*

%files plugins-extra
%defattr(-,root,root)
%{sysconfdir}/gconf/schemas/banshee-plugin-recommendation.schemas
%{sysconfdir}/gconf/schemas/banshee-plugin-minimode.schemas
%{sysconfdir}/gconf/schemas/banshee-plugin-podcast.schemas
%{sysconfdir}/gconf/schemas/banshee-plugin-radio.schemas
%dir %{prefix}/%{_lib}/banshee/Banshee.Plugins
%{prefix}/%{_lib}/banshee/Banshee.Plugins/Banshee.Plugins.MiniMode.dll*
%{prefix}/%{_lib}/banshee/Banshee.Plugins/Banshee.Plugins.Podcast.dll*
%{prefix}/%{_lib}/banshee/Banshee.Plugins/Banshee.Plugins.Recommendation.dll*
%{prefix}/%{_lib}/banshee/Banshee.Plugins/Banshee.Plugins.Radio.dll*

%files plugins-DAAP
%defattr(-,root,root)
%{sysconfdir}/gconf/schemas/banshee-plugin-daap.schemas
%dir %{prefix}/%{_lib}/banshee/Banshee.Plugins
%{prefix}/%{_lib}/banshee/Banshee.Plugins/Banshee.Plugins.Daap.dll*

%changelog
* Fri Mar 23 2007 - abockover@suse.de
- Update to 0.12.0 per MaintenanceTracker-8619 and BNC #215301
- Fixes a huge number of bugs, has proper hardware/iPod detection
- Same release is targeted for SLED 10 SP1; much more stable release
* Fri Nov 17 2006 - meissner@suse.de
- require gstreamer010-plugins-base-oil, or OGGs won't play. #221652
* Thu Nov 09 2006 - aj@suse.de
- Fix require for banshee-engine.
* Wed Nov 08 2006 - aj@suse.de
- Add recommends for subpackages.
* Tue Nov 07 2006 - cthiel@suse.de
- Conflicts: helix-banshee
- Provides:  banshee-player
* Mon Nov 06 2006 - abockover@suse.de
- Changes to spec file to make it easy to build either upstream
  (open source) Banshee or Helix Banshee with proprietary
  components
* Wed Nov 01 2006 - olh@suse.de
- helix-dbus-server is i386 only
* Mon Oct 23 2006 - abockover@suse.de
- Updated to 0.11.2
  * New interactive interpreted Boo shell
  * Show DAAP shares under single master source (BGO #363548)
  * Recursive child sources now possible (BGO #363548)
  * Load XML audio profiles from multiple sources
  * Fixed sorting issue with audio profiles combo control
  * Added 'mode' suppport to mp3-lame audio profile
  * Load audio profiles from BANSHEE_PROFILES_PATH env if set
  * New SQL Database command layer for more secure and
  optimized queries (BNC #212477)
  * Do not require intltool 0.35
  * Worked around various build problems with Mono 1.1.18
* Fri Oct 20 2006 - ro@suse.de
- added mono-devel to BuildRequires
* Mon Oct 16 2006 - abockover@suse.de
- Updated to 0.11.1
  * Many new features and bug fixes; first update to new branch
  * Import from DAP devices and DAAP shares
  * Write metadata to files
  * New tagging backend (taglib-sharp)
  * New track editor
  * New CD burning interface
  * Smart playlists
  * One click rating
  * Simplified preferences dialog following GNOME HIG
  * Notifications on track change
  * New audio profiles support
  * Use managed dbus (not deprecated dbus-sharp+libdbus)
* Thu Sep 28 2006 - ro@suse.de
- fix macro usage in specfile: dbus-version -> dbus_min_version
  (#206627)
* Tue Sep 12 2006 - ro@suse.de
- use RPM_OPT_FLAGS
- fix missing return values in xing encoder
- fix build on x86_64
* Mon Aug 28 2006 - jpr@suse.de
- No longer have to manually remove file notification plugin, its been
  removed upstream
* Thu Aug 24 2006 - jpr@suse.de
- Updated to 0.10.12
  * Work with libnautilus-burn 2.15.3+ (emulation layer for 2.12/2.14 API)
  * Added CD-ROM door locking (BNC #199902)
  * Do not crash on exit if events have come from NetworkManager
  * Translations update
  * The cover art popup will scale to a maximum of 75%% of the screen
  * Handle exception when trying to burn CD on a system with no CD writers
  * Fix a crash when attempting to remove a track from the local queue
  * Build properly with Gtk# 2.10
  * Much improved NJB DAP support [1]
  * Much improved CD burning (show error dialog with list of files that
  cannot be transcoded, fixed MP3/Data CD support, check for enough
  available disk space to perform transcoding)
  * Fixed locking bug that causes crashes (BGO #340306)
  * Fixed HTTP/Streaming support in Helix backend
  * Prevent crash when dragging a column into the source view
  (BGO #333946)
  * Prevent crash when removing the playing song (BGO #324768)
  * Prevent Banshee crash if gnome-panel crashes
  * Remove tooltip from slider (BNC #158403)
  * Properly activate org.gnome.HelixDbusPlayer using DBus activation
  (BNC #161682)
  * Fixed dynamic player engine switching (GStreamer<->Helix)
  * Prefer a stream duration over a metadata duration at all times
  * Insert oggmux into a vorbisenc pipeline if oggmux is missing
  (BGO #335211)
- Remove upstreamed patches
- Remove upstreamed translation sources
* Tue Aug 22 2006 - sbrabec@suse.cz
- Worked around upgrade failures due to insufficient PreReq for
  gst-register in older versions (#165811).
* Thu Jul 13 2006 - hvogel@suse.de
- require gnome-vfs2 for gst-inspect
* Wed Jun 28 2006 - gekker@suse.de
- Update translations for hu
* Tue Jun 27 2006 - jpr@suse.de
- Make sure all mp4 mime types are listed (#188200)
* Mon Jun 26 2006 - gekker@suse.de
- Update translations for zh_TW
* Thu Jun 22 2006 - gekker@suse.de
- Update translations for de
* Wed Jun 21 2006 - gekker@suse.de
- Add EULAs for other locales (#186272)
* Mon Jun 19 2006 - gekker@suse.de
- Update EULA.en_US from Real (#186272)
* Mon Jun 19 2006 - lewing@suse.de
- Finish startup nofication in remote mode. (#185212)
* Fri Jun 16 2006 - gekker@suse.de
- Update translations for de,ja and add translation for pl
* Wed Jun 14 2006 - gekker@suse.de
- Add Helix branded icons
* Wed Jun 14 2006 - gekker@suse.de
- Update Helix branding
* Tue Jun 13 2006 - gekker@suse.de
- Fix mime mappings in banshee.desktop to support mp3 (#183032)
* Fri Jun 09 2006 - gekker@suse.de
- Update translation for cs
* Mon Jun 05 2006 - jpr@suse.de
- Add helix branding (#181841)
* Fri Jun 02 2006 - gekker@suse.de
- Update translation for de
* Thu Jun 01 2006 - jpr@suse.de
- Restore volume properly (#176255)
- Actually display the dialog when CD burn is too big (#151332)
- Don't have the mp3 plugins system wide (#179102)
* Wed May 31 2006 - gekker@suse.de
- Update translations for zh_CN (#169091)
* Tue May 30 2006 - gekker@suse.de
- Add translations for zh_TW, update translations for de,es,fi,
  fr,hu,it,ja,pt_BR,zh_CN
* Mon May 22 2006 - jpr@suse.de
- Build and install dtdriver plugin for 32bit at atleast (#177506)
* Fri May 19 2006 - jpr@suse.de
-Improve SQL queries to improve performance (#168653)
-Escape commas correclty (#147144)
-Scrollbar does not show (#174406)
-Column re-ordering remembered incorrectly (#120666)
-Fix crash on CD burn for ogg (#175378)
-Move the xing plugin to the banshe-engine-helix package
* Wed May 17 2006 - gekker@suse.de
- Add translations for de and hu (#173507)
* Thu May 11 2006 - rml@suse.de
- Add requires on dbus-1-x11, as we use the session bus (Novell
  bug #174865)
* Mon May 08 2006 - jpr@suse.de
- Trigger default dialog action with return, not esc (#172450)
- Copy music to music directory when option selected (#171101)
- Play files in shallow directories (#163911)
- Default to gstreamer for ogg play to work around helix memory leak
  (part of #170031)
* Mon May 08 2006 - thoenig@suse.de
- Loosing D-BUS requires (b.n.c #173483)
* Thu May 04 2006 - jpr@suse.de
- Handle new ogg subclass (#169616)
- Prevent crash while doing long import (BGO #340306)
- Display ipod correctly if banshee is already running(BGO #340313)
* Wed Apr 26 2006 - aj@suse.de
- Fix build on lib64 systems.
* Mon Apr 24 2006 - jpr@suse.de
- Don't package FileSystemMonitor plugin, its not in a happy state
- Fix dell dj support with njb-sharp update and hal files
- Check data length before trying to convert to string and catch any
  exceptions in the conversion (BGO #333946)
- Call model.RemoveTrack instead of model.Remove (BGO #324768)
- If the removed iter is the playing iter, set the playing iter to
  zero (BGO #324768)
- Re-enable http support in the helix backend now that we have a
  workaround in helix-dbus-server
* Mon Apr 24 2006 - thoenig@suse.de
- Add patch banshee-networkmanager-reconnect.diff to make Banshee
  resistant against D-BUS restarts (#167824).
- Add Requires for dbus-1-mono-0.60-27 or higher.
* Wed Apr 12 2006 - gekker@suse.de
- Fix to build xing encoder on all archs (#165454)
* Mon Apr 10 2006 - jpr@suse.de
- Don't show error dialog if there were no errors burning the CD
  (#164910)
- Banshee crashes if panel dies (#164909)
* Sun Apr 09 2006 - aj@suse.de
- Fix Requires.
* Fri Apr 07 2006 - jpr@suse.de
- Improved initial import dialog and mimetype detection for importing (#130713)
- Check to see if files exist before burning, warn if they don't. Fixes crash. (#146334)
- Ensure any files Banshee has open on an iPod are closed before ejecting through HAL. (#158284)
- Removed position tooltip from slider widget (#158403)
- Do not try to play audio through Helix that it cannot support. Divert crash in Helix. (#159810)
- Only show the actual track that is playing in the view, not multiples with matching metadata. (#160186)
- Fixed seeking over DBus with Helix (#161093)
* Mon Apr 03 2006 - jpr@suse.de
- Update to banshee 0.10.9 plus patch of 0.10 branch upstream
  exclusively for SLED issues
- Includes gstreamer 0.10 support and updates including xing
- Fix CD play back crash (#159414)
- Fix helix-dbus-server activation issues (#161682)
- Fix automatic engine switching for WMA, FLAC, MP3 (#160675)
- Fix track lengths time as best possible when metadata is wrong (#133717)
- Don't allow play and rip at the same time, only allow play back of the ripped tracks (#162171)
* Wed Mar 29 2006 - gekker@suse.de
- Add mDNSResponder mDNSResponder-devel to BuildRequires
* Mon Mar 27 2006 - gekker@suse.de
- Split out DAAP plugin and mDNSResponder dep (#160630)
* Sun Mar 19 2006 - danw@suse.de
- Fix back/play/pause/forward icons under kde. #148034
* Thu Mar 16 2006 - jpr@suse.de
- Make sure we default to the new remote helix engine.
* Tue Mar 14 2006 - gekker@suse.de
- Update to version 0.10.8/Remove upstreamed patches
- Includes fix for using helix-dbus-server to use helix backend
  on x86_64 (#116926)
- Don't add docpath to desktop, since there are no docs (#157779)
- Includes other upstream bug fixes
* Tue Mar 07 2006 - gekker@suse.de
- Fix segfault (#155850)
* Tue Mar 07 2006 - gekker@suse.de
- Update to version 0.10.7
- Remove avahi-mono from BuildRequires
  NEW FEATURES
------------
  * Full GStreamer 0.10 support
  * New importing system and UI; plugins can provide custom import sources
  * Bonjour/mDNSResponder support in addition to Avahi for Zeroconf support
  * Genre playlist column and entry in track editor
  * Shuffle button now has the same behavior as the repeat button
  * New translations: British English (Christopher Orr), Finnish (Ilkka Tuohela),
  and Italian (Alessandro Gervaso)
  BUG FIXES
---------
  * 324924: Systemtray does not appear
  * 326915: Automatic syncronization with an iPod hangs
  * 328183: Multiple manual syncronizations of an iPod cause it to corrupt its database
  * 329645: Cover art flashing
  * 329966: CDs Fail to Show Up in Library List
  * 330003: Banshee crash loading NotificationAreaIcon
  * 330284: crash at startup with daap plugin when there is a daap share on the network
  * 330524: [PATCH] Doesn't adjust volume when scrolling over the volume widget
  * 330903: [PATCH] Banshee crashes when requesting album cover for an album without one
  * 332350: [PATCH] make banshee use gconf audio sink with gstreamer 0.10
  * 326876: daap shares not being removed
* Mon Mar 06 2006 - gekker@suse.de
- Enable DAAP support
* Mon Feb 27 2006 - gekker@suse.de
- Fix missing columns in banshee (#153153)
* Fri Feb 24 2006 - sbrabec@suse.cz
- Fixed Czech translation.
* Thu Feb 23 2006 - danw@suse.de
- add banshee-transparent-trayicon.patch to make the tray icon pretty
  under KDE. #135448
* Sun Feb 19 2006 - aj@suse.de
-  use wildcards in filelist (.mdb files moved to debuginfo package)
* Fri Feb 17 2006 - gekker@suse.de
- Fixup .desktop file for UI team
* Mon Feb 13 2006 - gekker@suse.de
- Update to version 0.10.6
- Remove upstreamed patch
  This release features much improved iPod support. A few large bugs were
  fixed regarding iPod syncing, and a database reconstruction was added
  if Banshee ever encounters an iPod database it cannot read (iTunes frequently
  updates the database format).
  * If an unsupported iPod database is encountered, Banshee will offer
  to scan the iPod and reconstruct a database; either way, unsupported
  database errors are handled very gracefully now
  * Use cover.jpg/folder.jpg and others as cover art if it exists
  * Improved startup time
  * ipod-sharp now has fixed logic for syncing, fixes a few bugs
  * 324326: iPod transcoding dies on filenames containing %
  * 324923: Banshee crash on clicking any menu item
  * 326947: Visibility of Rating/Plays/LastPlayed columns are reset to default
  * 327225: Banshee should listen for multimedia keypresses
  * 328183: Multiple manual syncronizations of an iPod cause it to corrupt its database
  * 328642: Simple right-click meno on tray icon
  * 329540: banshee wrapper script looks for executable in CWD
  * 329554: cursor jumps from new list to the search box
  * 330288: crash on amd64 when playing ANY file
  * 330524: [PATCH] Doesn't adjust volume when scrolling over the volume widget
  * 330903: [PATCH] Banshee crashes when requesting album cover for an album without one
* Thu Feb 09 2006 - ro@suse.de
- fix configure check for mono assemblies
* Tue Feb 07 2006 - gekker@suse.de
- Update to version 0.10.5
  NEW FEATURES
------------
  * New queued/single-threaded database layer; much safer and potentially
  faster in some areas
  * Multimedia keys plugin by Danilo Reinhardt
  * Improved custom source API. Sources can now provide custom or hybrid
  views. See the banshee-sample-plugin module in Banshee subversion:
  svn://svn.banshee-project.org/trunk/banshee-sample-plugin
  * Improved search entry; uses stock/theme icons now
  * Improved volume widget; +/- are now clickable (Ruben Vermeersch)
  * Banshee now shows up in process listings (top, gnome system monitor)
  as 'banshee' (not 'mono'); and 'killall banshee' will now work
  BUG FIXES
---------
  * 320608: "Copy files on import" option can kill files.
  * 320799: Left pane stays empty because of markup problems
  * 324143: Playlist initially displays library contents
  * 324326: iPod transcoding dies on filenames containing %
  * 324923: Banshee crash on clicking any menu item
  * 325078: Updating the preferences of a song doesn't refresh
  * 325636: Banshee consumes CPU even when not playing
  * 325770: Crash in 0.10.2 with GStreamer 0.10
  * 325956: Metadata Searcher freezes after ~100 tracks
  * 326836: Dragging a track to ipod causes crash on exit
  * 326863: Crash on metadata scan.
  * 326922: Can't execute uninstalled banshee
  * 327046: org.gnome.Banshee.service installed in wrong directory
  * 327047: menu entry Music/Source Properties... has no effect
  * 327123: random playback isnt working correctling when banshee is
  started
  * 328058: Database locking issues with metadata plugin enabled
  * 328642: Simple right-click meno on tray icon
  * 328916: Compile fails to detect Mono on AMD64 systems
  * 329012: Using "libdbus-1.so.1" for DllImport can fail (libdbus-1.so.2
  present)
  * 329292: use/detect search and close icons for the search box from the
  GTK theme
  * 329540: banshee wrapper script looks for executable in CWD
  * 329554: cursor jumps from new list to the search box
  * 329875: Banshee should use standard volume button
  * 328201: add --query-cover-uri
* Mon Feb 06 2006 - ro@suse.de
- fix build for < 10.1
* Fri Feb 03 2006 - aj@suse.de
- Add gcc-c++ to BuildRequires.
* Wed Feb 01 2006 - aj@suse.de
- Fix typo in last change.
* Tue Jan 31 2006 - aj@suse.de
- Remove unneeded requires.
- Cleanup BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - gekker@suse.de
- Update to version 0.10.4
* Tue Jan 17 2006 - gekker@suse.de
- Update to version 0.10.3
- Disable daap for now
- Split out plugins into their own package
* Tue Jan 17 2006 - meissner@suse.de
- use -fstack-protector.
* Fri Jan 13 2006 - gekker@suse.de
- Fixup nfb and Requires for new gtk-sharp2 packaging
* Wed Jan 04 2006 - gekker@suse.de
- Fix to install all .schema files
- Fix hal-sharp bindings to locate new .so version of dbus
* Fri Dec 23 2005 - gekker@suse.de
- Update to version 0.10.2
  - Adds NJB support
  - Adds plugin support
  - Audioscrobbler plugin
  - NetworkManager support
  - More commandline options
* Thu Dec 15 2005 - gekker@suse.de
- Update to version 0.10.1
* Mon Dec 12 2005 - gekker@suse.de
- Fixup provides in banshee-engine-* (#135353)
* Thu Dec 08 2005 - gekker@suse.de
- Fix audio CD playing
* Wed Dec 07 2005 - gekker@suse.de
- Update to version 0.10
* Mon Nov 28 2005 - gekker@suse.de
- Add PreReq: gstreamer (#135353).
* Wed Nov 16 2005 - ro@suse.de
- fix build on x86_64 (-p for mkdir)
* Wed Nov 16 2005 - jpr@suse.de
- Fix error mono errors with new gtk-sharp
* Mon Nov 14 2005 - jpr@suse.de
- Update to 0.9.11.1
* Thu Nov 10 2005 - jpr@suse.de
- Update to 0.9.11
* Fri Nov 04 2005 - sbrabec@suse.cz
- Call branch-dependent gst-register (#132197).
* Thu Nov 03 2005 - gekker@suse.de
- Update to version 0.9.10
- Fixup Requires and Provides (#129720)
- Add libmusicbrainz to nfb
- Remove upstreamed patches
- Build --with-internal-mcs on PLUS
* Thu Sep 29 2005 - sbrabec@suse.cz
- Use secure paths in wrapper (#118188).
- Bi-arch fix of aoss preloader (#119413).
* Wed Sep 28 2005 - gekker@suse.de
- Update to version 0.9.7.1
- Add nano support
* Mon Sep 19 2005 - gekker@suse.de
- Add extra and excess gstreamer plugins to requirements (116924)
* Sat Sep 10 2005 - jpr@suse.de
- Fix typo in preload patch, its LD_PRELOAD not LD_PRELOADH
- Fix crash when no ipod compatible encoders are available (as is
  the case on non x86 platforms) (116303)
* Fri Sep 09 2005 - gekker@suse.de
- Update to version 0.9.7 for shuffle support
- Fix crash when re-ripping a song (115945)
- Fix default width of columns
- Fix a marshalling bug on 64-bit
- Fix crashes in banshes (116164)
* Wed Sep 07 2005 - gekker@suse.de
- Add gst-register to %%post of banshee-engine-gst (115275)
- Add dbus-1-x11 to Requires (114493)
* Mon Sep 05 2005 - jpr@suse.de
- Update to version 0.9.6
- Add orbit/libidl for neededtobuild for using gnome cddb support
* Mon Sep 05 2005 - jpr@suse.de
- Update to verison 0.9.5
- LD_PPRELOAD libaoss to prevent locking of /dev/dsp
* Mon Aug 29 2005 - gekker@suse.de
- Update to version 0.9.0
- Require sqlite rather than sqlite2
* Mon Aug 22 2005 - gekker@suse.de
- Fix exe.config.in again so that it will actually run.
* Mon Aug 22 2005 - gekker@suse.de
- Update to version 0.8.7.1
- Split out -engine-gst and -engine-helix packages from banshee
- Add gnome-vfs2 to nfb
* Sun Aug 21 2005 - ro@suse.de
- added fam to nfb
* Tue Aug 16 2005 - aj@suse.de
- Add check-build script.
* Mon Aug 15 2005 - gekker@suse.de
- Update to version 0.8.5
* Fri Aug 12 2005 - gekker@suse.de
- Update to version 0.8.4
* Fri Aug 12 2005 - ro@suse.de
- more work on exe-config patch: libdir already has prefix
* Thu Aug 11 2005 - gekker@suse.de
- Fix to find gstreamer libraries on all architectures
* Tue Aug 09 2005 - gekker@suse.de
- Update to version 0.8.3
- Improves use of gstreamer-backend
- Fix random return and exe.config.in with patches
* Fri Aug 05 2005 - clahey@suse.de
- Renamed from sonance.  Version 0.8.2.
* Wed Jul 06 2005 - gekker@suse.de
- Initial import of package, version 0.7.1
